Redmine - Defect #27533

Cannot change the priority of the parent issue in issue query context menu when parent priority is
independent of children

2017-11-14 20:09 - Vito Marolda

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: 3.3.6

Resolution: Fixed Affected version: 3.3.1
Description

Also if Tracking settings are set to have parent priority independent of children, the context menu in issue query has priorities grayed
out.

In fact, when normally editing, the priorities of parent issues are perfetcly editable.

This bug affects the context menu only.

Related issues:
Related to Redmine - Defect #20992: Parent priority "Independent of subtasks"... Closed
Related to Redmine - Patch #28168: Allow context-menu edit of % done and prio... Closed

Associated revisions

Revision 17129 - 2017-12-26 08:01 - Go MAEDA

Fix: Cannot change the priority of the parent issue in issues context menu (#27533).

Patch by Vito Marolda.

Revision 17130 - 2017-12-26 08:09 - Go MAEDA
Merged r17129 to 3.4-stable (#27533).

Revision 17131 - 2017-12-26 08:11 - Go MAEDA
Merged r17129 to 3.3-stable (#27533).

History

#1 - 2017-11-15 12:18 - Vito Marolda
- File 0001-Fixato-priority-disabilitato-in-query-list.patch added

| have fixed my installation. Attached the patch. Fortunately it was very simple. | am not a Ruby programmer.

#2 - 2017-12-11 17:46 - Toshi MARUYAMA

- Target version set to 3.3.6

LGTM.
This patch is same with #20992.

#3 - 2017-12-14 20:02 - Marius BALTEANU
- Related to Defect #20992: Parent priority "Independent of subtasks" setting doesn't work added

#4 - 2017-12-25 16:36 - Go MAEDA
Toshi MARUYAMA wrote:

LGTM.

This patch is same with #20992.

Absolutely. The following code is the change made by #20992 (r14671).
https://www.redmine.org/issues/20992
https://www.redmine.org/projects/redmine/repository/svn/revisions/14671

Index: app/views/issues/_attributes.html.erb

-—— app/views/issues/_attributes.html.erb (revision 14670)
+++ app/views/issues/_attributes.html.erb (revision 14671)
@@ -11,7 +11,7 Q@

<% end %>

<% if @issue.safe_attribute? 'priority_id' %>

-<p><%= f.select :priority_id, (@priorities.collect {|p| [p.name, p.id]}), {:required => true}, :disabled => !
@issue.leaf? %></p>
+<p><%= f.select :priority_id, (@priorities.collect {|p| [p.name, p.id]l}), {:required => true} %></p>

<% end %>

<% if @issue.safe_attribute? 'assigned_to_id' %>

#5 - 2017-12-26 08:03 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed to the trunk. Thank you for detecting and fixing this issue.

#6 - 2017-12-26 08:13 - Go MAEDA

- Status changed from Resolved to Closed

Merged from trunk to 3.4-stable and 3.3-stable.

#7 - 2018-02-12 08:23 - Go MAEDA

- Related to Patch #28168: Allow context-menu edit of % done and priority of parent issues if the fields are not derived added

Files

Redmine Version.PNG 13 KB 2017-11-14 Vito Marolda
Tracking settings.PNG 6.06 KB 2017-11-14 Vito Marolda
Priority grayed out.PNG 15.4 KB 2017-11-14 Vito Marolda
0001-Fixato-priority-disabilitato-in-query-list.patch 1.09 KB 2017-11-15 Vito Marolda
